'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _task = require('../../objects/task');

var _task2 = _interopRequireDefault(_task);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Packages = [(0, _task2.default)({
  command: 'packages:import',
  description: 'import package',
  file: _path2.default.resolve(__dirname, 'packages'),
  function: 'importTask',
  args: [{ name: 'repository', description: 'name of app repository' }],
  env: false
}), (0, _task2.default)({
  command: 'packages:install',
  description: 'install package',
  file: _path2.default.resolve(__dirname, 'packages'),
  function: 'installTask',
  env: false
}), (0, _task2.default)({
  command: 'packages:clean',
  description: 'clean package',
  file: _path2.default.resolve(__dirname, 'packages'),
  function: 'cleanTask',
  env: false
}), (0, _task2.default)({
  command: 'packages:link',
  description: 'link packages',
  file: _path2.default.resolve(__dirname, 'packages'),
  function: 'linkTask',
  env: false
}), (0, _task2.default)({
  command: 'packages:commit',
  description: 'commit packages',
  file: _path2.default.resolve(__dirname, 'packages'),
  function: 'commitTask',
  env: false
}), (0, _task2.default)({
  command: 'packages:pull',
  description: 'pull packages',
  file: _path2.default.resolve(__dirname, 'packages'),
  function: 'pullTask',
  env: false
})];

exports.default = Packages;