'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _task = require('../../objects/task');

var _task2 = _interopRequireDefault(_task);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Queue = [(0, _task2.default)({
  command: 'queue:add',
  description: 'Add job to queue',
  file: _path2.default.resolve(__dirname, 'queue'),
  function: 'queueAdd',
  exit: true
}), (0, _task2.default)({
  command: 'queue:clean',
  description: 'Clean all jobs in queues',
  file: _path2.default.resolve(__dirname, 'queue'),
  function: 'queueClean',
  exit: true
}), (0, _task2.default)({
  command: 'queue:retry',
  description: 'Retry all jobs in queues',
  file: _path2.default.resolve(__dirname, 'queue'),
  function: 'queueClean',
  exit: true
}), (0, _task2.default)({
  command: 'job:retry',
  description: 'Retry job',
  file: _path2.default.resolve(__dirname, 'queue'),
  function: 'retryJob',
  exit: true
})];

exports.default = Queue;