'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelCore = require('babel-core');

var transpile = function transpile(source) {

  var transpiled = (0, _babelCore.transform)(source, {
    presets: ['babel-preset-es2015', 'babel-preset-react', 'babel-preset-stage-0'],
    plugins: ['transform-promise-to-bluebird', ['transform-runtime', { polyfill: false }]]
  });

  return transpiled.code;
};

exports.default = transpile;