import generator from '../../objects/generator'

const Queue = generator({
  files: [
    {
      action: 'create',
      filepath: 'src/queues/<%= _.snakeCase(name) %>/index.js',
      template: 'queue.ejs'
    }, {
      action: 'create',
      filepath: 'src/tests/queues/<%= _.snakeCase(name) %>_test.js',
      template: 'test.ejs'
    }
  ]
})



export default Queue
