import task from '../../objects/task'
import path from 'path'

const Generators = [

  task({
    command: 'generate',
    alias: 'g',
    description: 'Generating <%= template %> <%= name %>',
    file: path.resolve(__dirname, 'generators'),
    function: 'Generate',
    args: [
      { name: 'template', description: 'name of generator template' },
      { name: 'app', description: 'name of app' },
      { name: 'name', description: 'name of item to be generated' }
    ],
    env: false
  }),

  task({
    command: 'destroy',
    description: 'Destroy a file',
    file: path.resolve(__dirname, 'generators'),
    function: 'Destroy',
    args: [
      { name: 'template', description: 'name of generator template' },
      { name: 'app', description: 'name of app' },
      { name: 'name', description: 'name of item to be generated' }
    ]
  })

]

export default Generators
