import task from '../../objects/task'
import path from 'path'

const Queue = [

  task({
    command: 'queue:add',
    description: 'Add job to queue',
    file: path.resolve(__dirname, 'queue'),
    function: 'queueAdd',
    exit: true
  }),

  task({
    command: 'queue:clean',
    description: 'Clean all jobs in queues',
    file: path.resolve(__dirname, 'queue'),
    function: 'queueClean',
    exit: true
  }),

  task({
    command: 'queue:retry',
    description: 'Retry all jobs in queues',
    file: path.resolve(__dirname, 'queue'),
    function: 'queueClean',
    exit: true
  }),

  task({
    command: 'job:retry',
    description: 'Retry job',
    file: path.resolve(__dirname, 'queue'),
    function: 'retryJob',
    exit: true
  })

]

export default Queue
