import path from 'path'
import _ from 'lodash'

export const start = async (flags = {}, args = {}) => {

  const target = (typeof args.entity === 'string') ? args.entity : 'all'

  await Promise.mapSeries(['cron','server', 'socket', 'worker'], async (entity) => {

    if(_.includes(['all','cron'], target)) await getEntity(entity)

  })

}

const getEntity = (entity) => {

  const entityPath = path.resolve('dist', entity)

  return require(entityPath)

}
