'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _generator = require('../../objects/generator');

var _generator2 = _interopRequireDefault(_generator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Queue = (0, _generator2.default)({
  files: [{
    action: 'create',
    filepath: 'src/queues/<%= _.snakeCase(name) %>/index.js',
    template: 'queue.ejs'
  }, {
    action: 'create',
    filepath: 'src/tests/queues/<%= _.snakeCase(name) %>_test.js',
    template: 'test.ejs'
  }]
});

exports.default = Queue;