'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var task = function task(options) {

  var exit = !_lodash2.default.isNil(options.exit) ? options.exit : true;

  var newline = !_lodash2.default.isNil(options.newline) ? options.newline : true;

  var action = function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(flags, args) {
      var source;
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.prev = 0;
              source = require(options.file);
              _context.next = 4;
              return source[options.function](flags, args);

            case 4:

              if (newline) process.stdout.write('\n');

              if (exit) process.exit();

              _context.next = 12;
              break;

            case 8:
              _context.prev = 8;
              _context.t0 = _context['catch'](0);


              console.log(_chalk2.default.red(_context.t0.message));

              process.exit();

            case 12:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined, [[0, 8]]);
    }));

    return function action(_x, _x2) {
      return _ref.apply(this, arguments);
    };
  }();

  return {
    command: options.command,
    description: options.description,
    alias: options.alias,
    flags: options.flags || [],
    args: options.args || [],
    action: action
  };
};

exports.default = task;