'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _task = require('../../objects/task');

var _task2 = _interopRequireDefault(_task);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Apps = [(0, _task2.default)({
  command: 'app:add',
  description: 'add app',
  file: _path2.default.resolve(__dirname, 'apps'),
  function: 'addTask',
  args: [{ name: 'app', description: 'name of app' }],
  env: false
}), (0, _task2.default)({
  command: 'app:remove',
  description: 'remove app',
  file: _path2.default.resolve(__dirname, 'apps'),
  function: 'removeTask',
  args: [{ name: 'app', description: 'name of app' }],
  env: false
}), (0, _task2.default)({
  command: 'app:clean',
  description: 'clean app',
  file: _path2.default.resolve(__dirname, 'apps'),
  function: 'cleanTask',
  args: [{ name: 'app', description: 'name of app' }],
  env: false
}), (0, _task2.default)({
  command: 'app:install',
  description: 'install app',
  file: _path2.default.resolve(__dirname, 'apps'),
  function: 'installTask',
  args: [{ name: 'app', description: 'name of app' }],
  env: false
}), (0, _task2.default)({
  command: 'app:commit',
  description: 'commit app',
  file: _path2.default.resolve(__dirname, 'apps'),
  function: 'commitTask',
  args: [{ name: 'app', description: 'name of app' }],
  env: false
}), (0, _task2.default)({
  command: 'app:pull',
  description: 'pull app',
  file: _path2.default.resolve(__dirname, 'apps'),
  function: 'pullTask',
  args: [{ name: 'app', description: 'name of app' }],
  env: false
})];

exports.default = Apps;