'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _task = require('../../objects/task');

var _task2 = _interopRequireDefault(_task);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Generators = [(0, _task2.default)({
  command: 'generate',
  alias: 'g',
  description: 'Generating <%= template %> <%= name %>',
  file: _path2.default.resolve(__dirname, 'generators'),
  function: 'Generate',
  args: [{ name: 'template', description: 'name of generator template' }, { name: 'app', description: 'name of app' }, { name: 'name', description: 'name of item to be generated' }],
  env: false
}), (0, _task2.default)({
  command: 'destroy',
  description: 'Destroy a file',
  file: _path2.default.resolve(__dirname, 'generators'),
  function: 'Destroy',
  args: [{ name: 'template', description: 'name of generator template' }, { name: 'app', description: 'name of app' }, { name: 'name', description: 'name of item to be generated' }]
})];

exports.default = Generators;