'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.helpBuild = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

require('../../utils/register');

var _searchIndex = require('search-index');

var _searchIndex2 = _interopRequireDefault(_searchIndex);

var _cheerio = require('cheerio');

var _cheerio2 = _interopRequireDefault(_cheerio);

var _stream = require('stream');

var _stream2 = _interopRequireDefault(_stream);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var helpBuild = exports.helpBuild = function () {
  var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(name, message) {
    var readable, index;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            readable = new _stream2.default.Readable({ objectMode: true });
            index = 0;


            process.env.APPS.split(',').map(function (app, i) {

              var config = require(_path2.default.resolve('apps', app, 'src', 'app.js')).default;

              var documents = _glob2.default.sync('apps/' + app + '/src/help/*.html');

              documents.map(function (filePath, j) {

                var document = _fs2.default.readFileSync(filePath, 'utf8');

                var $ = _cheerio2.default.load(document);

                var title = $('title').text();

                var rights = $('rights').text();

                var content = $('main').html();

                readable.push({
                  id: index + 1,
                  app: config.code,
                  title: title,
                  rights: rights,
                  filePath: filePath,
                  content: content
                });

                index += 1;
              });
            });

            readable.push(null);

            _context.next = 6;
            return new _bluebird2.default(function (resolve, reject) {

              (0, _searchIndex2.default)({
                indexPath: _path2.default.join('help'),
                logLevel: 'error'
              }, function (err, index) {

                if (err) reject(err);

                readable.pipe(index.defaultPipeline()).pipe(index.add()).on('finish', function () {

                  resolve(index);
                });
              });
            });

          case 6:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function helpBuild(_x, _x2) {
    return _ref.apply(this, arguments);
  };
}();