'use strict';

var _babelRegister = require('babel-register');

var _babelRegister2 = _interopRequireDefault(_babelRegister);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _babelRegister2.default)({
  presets: ['babel-preset-es2015', 'babel-preset-react', 'babel-preset-stage-0'],
  plugins: ['transform-promise-to-bluebird', ['transform-runtime', { polyfill: false }], ['module-resolver', {
    'alias': process.env.APPS.split(',').reduce(function (aliases, app) {
      aliases[app] = _path2.default.resolve('apps', app, 'src', 'server.js');
      return aliases;
    }, {})
  }]],
  sourceMaps: 'inline'
});