import generator from '../../objects/generator'

const Component = generator({
  files: [
    {
      action: 'create',
      filepath: 'src/admin/components/<%= path %>.js',
      template: 'component.ejs'
    }, {
      action: 'create',
      filepath: 'src/tests/admin_components/<%= _.snakeCase(path) %>.js',
      template: 'test.ejs'
    }
  ]
})



export default Component
