import generator from '../../objects/generator'

const Task = generator({
  files: [
    {
      action: 'create',
      filepath: 'src/tasks/<%= _.snakeCase(name) %>_task/index.js',
      template: 'task.ejs'
    }, {
      action: 'create',
      filepath: 'src/tests/tasks/<%= _.snakeCase(name) %>_task_test.js',
      template: 'test.ejs'
    }
  ]
})

export default Task
