import task from '../../objects/task'
import path from 'path'

const Apps = [

  task({
    command: 'app:add',
    description: 'add app',
    file: path.resolve(__dirname, 'apps'),
    function: 'addTask',
    args: [
      { name: 'app', description: 'name of app' }
    ],
    env: false
  }),

  task({
    command: 'app:remove',
    description: 'remove app',
    file: path.resolve(__dirname, 'apps'),
    function: 'removeTask',
    args: [
      { name: 'app', description: 'name of app' }
    ],
    env: false
  }),

  task({
    command: 'app:clean',
    description: 'clean app',
    file: path.resolve(__dirname, 'apps'),
    function: 'cleanTask',
    args: [
      { name: 'app', description: 'name of app' }
    ],
    env: false
  }),

  task({
    command: 'app:install',
    description: 'install app',
    file: path.resolve(__dirname, 'apps'),
    function: 'installTask',
    args: [
      { name: 'app', description: 'name of app' }
    ],
    env: false
  }),

  task({
    command: 'app:commit',
    description: 'commit app',
    file: path.resolve(__dirname, 'apps'),
    function: 'commitTask',
    args: [
      { name: 'app', description: 'name of app' }
    ],
    env: false
  }),

  task({
    command: 'app:pull',
    description: 'pull app',
    file: path.resolve(__dirname, 'apps'),
    function: 'pullTask',
    args: [
      { name: 'app', description: 'name of app' }
    ],
    env: false
  })

]

export default Apps
