import task from '../../objects/task'
import path from 'path'

const Packages = [

  task({
    command: 'packages:import',
    description: 'import package',
    file: path.resolve(__dirname, 'packages'),
    function: 'importTask',
    args: [
      { name: 'repository', description: 'name of app repository' }
    ],
    env: false
  }),

  task({
    command: 'packages:install',
    description: 'install package',
    file: path.resolve(__dirname, 'packages'),
    function: 'installTask',
    env: false
  }),

  task({
    command: 'packages:clean',
    description: 'clean package',
    file: path.resolve(__dirname, 'packages'),
    function: 'cleanTask',
    env: false
  }),

  task({
    command: 'packages:link',
    description: 'link packages',
    file: path.resolve(__dirname, 'packages'),
    function: 'linkTask',
    env: false
  }),

  task({
    command: 'packages:commit',
    description: 'commit packages',
    file: path.resolve(__dirname, 'packages'),
    function: 'commitTask',
    env: false
  }),

  task({
    command: 'packages:pull',
    description: 'pull packages',
    file: path.resolve(__dirname, 'packages'),
    function: 'pullTask',
    env: false
  })

]

export default Packages
